library ui_components;

import "package:flutter/material.dart";
import 'package:ui_components/login_screen_1.dart';
import 'package:ui_components/login_screen_2.dart';

enum Screens {
  LoginScreenType1,
  LoginScreenType2
}

class UIComponents extends StatelessWidget {
  final Screens screenType;
  final TextEditingController emailController;
  final TextEditingController passwordController;
  final String avatarImage;
  final Function onLoginClick;
  final Function navigatePage;
  final Function onGoogleSignIn;
  
  UIComponents(
      {@required this.screenType,
      @required this.emailController,
      @required this.passwordController,
      this.avatarImage,
      @required this.onLoginClick,
      @required this.onGoogleSignIn,
      @required this.navigatePage
      })
      : assert(screenType != null),
        assert(emailController != null),
        assert(passwordController != null);

  @override
  Widget build(BuildContext context) {
    switch (screenType) {
      case Screens.LoginScreenType1:
        return LoginScreen1(
          emailController: emailController,
          passwordController: passwordController,
          avatarImage: avatarImage,
          onLoginClick: onLoginClick,
          navigatePage: navigatePage,
          googleSignIn: onGoogleSignIn,
        );
      case Screens.LoginScreenType2:
        return LoginScreen2(
          emailController: emailController,
          passwordController: passwordController,
          onLoginClick: onLoginClick,
          navigatePage: navigatePage,
          googleLogin: onGoogleSignIn,
        );
    }
  }
}
